<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.crgs.entbase.mapper.EOtNcaseMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.crgs.entbase.entity.EOtNcase">
        <id column="CASEID" property="caseid" />
        <result column="ACTYPE" property="actype" />
        <result column="PRIPID" property="pripid" />
        <result column="ENTNAME" property="entname" />
        <result column="UNISCID" property="uniscid" />
        <result column="REGNO" property="regno" />
        <result column="INSCERCODE" property="inscercode" />
        <result column="SOCORGCODE" property="socorgcode" />
        <result column="ORGCODE" property="orgcode" />
        <result column="TAXID" property="taxid" />
        <result column="LEREP" property="lerep" />
        <result column="CERTYPE" property="certype" />
        <result column="CERNO" property="cerno" />
        <result column="NAME" property="name" />
        <result column="AC_CERTYPE" property="acCertype" />
        <result column="AC_CERNO" property="acCerno" />
        <result column="PENDECNO" property="pendecno" />
        <result column="ILLEGACTTYPECODE" property="illegacttypecode" />
        <result column="ILLEGACTTYPE" property="illegacttype" />
        <result column="MAINILLEGFACT" property="mainillegfact" />
        <result column="PENBASIS" property="penbasis" />
        <result column="PENBASIS_CN" property="penbasisCn" />
        <result column="PENTYPE" property="pentype" />
        <result column="PENTYPE_CN" property="pentypeCn" />
        <result column="PENAM" property="penam" />
        <result column="FORFAM" property="forfam" />
        <result column="PENDECISSDATE" property="pendecissdate" />
        <result column="PENPERI" property="penperi" />
        <result column="PENAUTH" property="penauth" />
        <result column="PENAUTH_CN" property="penauthCn" />
        <result column="PENAUTHUNISCID" property="penauthuniscid" />
        <result column="PENCONTENT" property="pencontent" />
        <result column="REVLICNUM" property="revlicnum" />
        <result column="PUBLICDATE" property="publicdate" />
        <result column="PUBDEADLINE" property="pubdeadline" />
        <result column="DATADEPT" property="datadept" />
        <result column="DATADEPTUNISCID" property="datadeptuniscid" />
        <result column="REMARK" property="remark" />
        <result column="S_EXT_FROMNODE" property="sExtFromnode" />
        <result column="S_EXT_DATATIME" property="sExtDatatime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        CASEID, ACTYPE, PRIPID, ENTNAME, UNISCID, REGNO, INSCERCODE, SOCORGCODE, ORGCODE, TAXID, LEREP, CERTYPE, CERNO, NAME, AC_CERTYPE, AC_CERNO, PENDECNO, ILLEGACTTYPECODE, ILLEGACTTYPE, MAINILLEGFACT, PENBASIS, PENBASIS_CN, PENTYPE, PENTYPE_CN, PENAM, FORFAM, PENDECISSDATE, PENPERI, PENAUTH, PENAUTH_CN, PENAUTHUNISCID, PENCONTENT, REVLICNUM, PUBLICDATE, PUBDEADLINE, DATADEPT, DATADEPTUNISCID, REMARK, S_EXT_FROMNODE, S_EXT_DATATIME
    </sql>

</mapper>
